Name:           yokadi
Version:        0.14.0
Release:        1%{?dist}
Summary:        Command line oriented todo list system

License:        GPLv3+
URL:            http://yokadi.github.com/
Source0:        http://yokadi.github.com/download/%{name}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils

Requires:       python-sqlobject
Requires:       python-dateutil
Requires:       python-crypto

%description
Yokadi is a command-line oriented, SQLite powered, TODO list tool.
It helps you organize all the things you have to do and you must not
forget.It aims to be simple, intuitive and very efficient.

In Yokadi you manage projects, which contains tasks. At the minimum,
a task has a title, but it can also have a description, a due date,
an urgency or keywords. Keywords can be any word that help you to find
and sort your tasks.

%prep
%setup -q
sed -i -e '/^#!\//, 1d' {update/dump.py,yokadi/yokadid.py,yokadi/createdemodb.py,yokadi/tests/tests.py}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc LICENSE NEWS README.markdown doc/*.markdown
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{_bindir}/yokadid
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}*.egg-info
%{_datadir}/icons/hicolor/*

%changelog
* Mon Sep 01 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.14.0-1
- Add desktop file
- Update license
- Update to new upstream version 0.14.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 29 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.0-8
- Spec file update

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.13.0-5
- Remove the python-sqlite2 dep as yokadi will work with sqlite3 from the stdlib

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 12 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.0-3
- Rebuild

* Mon May 16 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.0-2
- python-crypto added

* Sun Apr 17 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.0-1
- New requirement: pycrypto (not in Fedora at the moment)
- Update to new upstream version 0.13.0

* Wed Nov 03 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.0-2
- Add man pages

* Wed Nov 03 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.0-1
- Update to new upstream version 0.12.0

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Dec 23 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.2-1
- Update to new upstream version 0.11.2

* Fri Nov 20 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.1-1
- Update to new upstream version 0.11.1

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.0-2
- Change BR

* Mon Jul 13 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.0-1
- Initial spec for Fedora
